# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyScoreInferenceScoresBathroom do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :trendiness
  ]

  @type t :: %__MODULE__{
    :trendiness => FoyerAPI.Model.Score.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyScoreInferenceScoresBathroom do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:trendiness, :struct, FoyerAPI.Model.Score, options)
  end
end

